# Generated by Django 3.2.5 on 2023-08-23 12:05

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import lingua.fields
import uuid


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ##        ('api', '0050_delete_messagerecord'),
    ]

    operations = [
        migrations.CreateModel(
            name="Case",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "name",
                    lingua.fields.LinguaField(
                        blank=True, null=True, verbose_name="case_name"
                    ),
                ),
                (
                    "source",
                    lingua.fields.LinguaField(
                        blank=True, null=True, verbose_name="case_source"
                    ),
                ),
                ("start_date", models.DateTimeField(auto_now_add=True)),
                ("end_date", models.DateTimeField(blank=True, null=True)),
                (
                    "description",
                    lingua.fields.LinguaField(
                        blank=True, null=True, verbose_name="case_description"
                    ),
                ),
                ("informations", models.CharField(max_length=1024)),
                (
                    "case_type",
                    models.CharField(
                        choices=[("plan", "planification"), ("manage", "management")],
                        default="plan",
                        max_length=20,
                    ),
                ),
                (
                    "base_map",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="api.usermap",
                    ),
                ),
            ],
            options={
                "verbose_name": "Case",
                "verbose_name_plural": "Cases",
            },
        ),
        migrations.CreateModel(
            name="Annotation",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "source",
                    lingua.fields.LinguaField(
                        blank=True, null=True, verbose_name="annotation_source"
                    ),
                ),
                ("start_date", models.DateTimeField(null=True)),
                ("end_date", models.DateTimeField(null=True)),
                (
                    "annotation_type",
                    models.CharField(
                        choices=[
                            ("expl", "explosion"),
                            ("manif", "manifestation"),
                            ("gas", "gas spill"),
                        ],
                        max_length=20,
                    ),
                ),
                ("acknowledgement_date", models.DateTimeField(null=True)),
                ("created_at", models.DateTimeField(auto_now=True)),
                ("information_annex", models.CharField(max_length=1024)),
                (
                    "geom_point",
                    django.contrib.gis.db.models.fields.PointField(
                        null=True, srid=31370
                    ),
                ),
                (
                    "geom_linestring",
                    django.contrib.gis.db.models.fields.LineStringField(
                        null=True, srid=31370
                    ),
                ),
                (
                    "geom_polygon",
                    django.contrib.gis.db.models.fields.PolygonField(
                        null=True, srid=31370
                    ),
                ),
                (
                    "case",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="safe.case"
                    ),
                ),
            ],
            options={
                "verbose_name": "Annotation",
                "verbose_name_plural": "Annotations",
            },
        ),
    ]
